get all projects

The get all projects API sends a GET request to retrieve a list of projects.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller does not have to provide anything.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Query Parameters
Field nameDescriptionFormat
offsetNumber of items to skip for paginationInteger
limitMaximum number of items to returnInteger
bookmarkedFilter by bookmarked projectsBoolean
sortSort order for resultsString
with_contractsInclude contract informationBoolean
draft_versions_with_contract_onlyFilter to draft versions with contractsBoolean
labelsFilter by labelsString
Response Body
Field nameDescriptionFormat
elementsList of projectsArray
totalTotal amount of projectsInteger
Project Structure
Field nameDescriptionFormat
idProject IDUUID
nameThe name of the projectString
createdAtThe date and time of creationString
modifiedAtThe date and time of modificationString
modifiedByModified byString
sysModifiedAtThe system date and time of modificationString
descriptionProject descriptionString
bookmarkedWhether the project is bookmarkedBoolean
additionalInfoAdditional infoObject
versionCurrent version numberInteger
versions [n]Version entry for version number nObject
technologyThe technology type of the projectString
Additional Info Structure
Field nameDescriptionFormat
numOfModulesNumber of modules associated with the projectInteger
numOfAssetsNumber of assets associated with the projectInteger
numOfMethodsNumber of methods associated with the projectInteger
Version Entry Structure
Field nameDescriptionFormat
versionThe version numberInteger
reasonThe reason for the versionString
versionedByThe user who created the versionString
versionedAtThe date and time of version creationString

Examples

{
  "elements": [
    {
      "id": "00000000-0000-0000-0000-000000000111",
      "name": "project-with-modules",
      "createdAt": "2026-01-01T00:00:00.000000Z",
      "modifiedAt": "2026-01-01T00:00:00.000000Z",
      "modifiedBy": "John Doe",
      "sysModifiedAt": "2026-01-01T00:00:00.000000Z",
      "description": "project with modules description",
      "bookmarked": false,
      "additionalInfo": {
        "numOfModules": 1,
        "numOfAssets": 1,
        "numOfMethods": 1
      },
      "version": 0,
      "versions": {
        "0": {
          "version": 0,
          "reason": "Draft",
          "versionedBy": "John Doe",
          "versionedAt": "2026-01-01T00:00:00.000000Z"
        }
      },
      "technology": "HTTP"
    }
  ],
  "total": 1
}
Query Params
integer
string
boolean
string
enum
Allowed:
boolean
boolean
string
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json